insertGauge
WRITEInsert gauge.
POST /api/v1/quality/insertGauge
curl -X POST '<your-host>/api/v1/quality/insertGauge' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"gaugeTypeId": "string",
"gaugeRole": "Master",
"gaugeCalibrationStatus": "Pending"
}'Response
{
"id": "string",
"gaugeId": "string"
}Parameters
ParameterType
"Pending""In-Calibration""Out-of-Calibration"
"Master""Standard"
Input schema
schema
{
"type": "object",
"properties": {
"gaugeId": {
"type": "string"
},
"gaugeTypeId": {
"type": "string"
},
"gaugeRole": {
"type": "string",
"enum": [
"Master",
"Standard"
]
},
"gaugeCalibrationStatus": {
"type": "string",
"enum": [
"Pending",
"In-Calibration",
"Out-of-Calibration"
]
},
"supplierId": {
"type": "string"
},
"modelNumber": {
"type": "string"
},
"serialNumber": {
"type": "string"
},
"description": {
"type": "string"
},
"dateAcquired": {
"type": "string"
},
"lastCalibrationDate": {
"type": "string"
},
"nextCalibrationDate": {
"type": "string"
},
"locationId": {
"type": "string"
},
"storageUnitId": {
"type": "string"
},
"calibrationIntervalInMonths": {
"type": "number"
},
"customFields": {}
},
"required": [
"gaugeTypeId",
"gaugeRole",
"gaugeCalibrationStatus"
]
}